#ifndef SRC_SLIDING_BLOCK_DATA_MYGEOMETRY_HH
#define SRC_SLIDING_BLOCK_DATA_MYGEOMETRY_HH

#include <dune/common/fassign.hh>
#include <dune/common/fvector.hh>

namespace MyGeometry {
namespace {
  using LocalVector = Dune::FieldVector<double, 2>;

  // kludge because fieldvectors have no initialiser_list constructor, see
  // https://dune-project.org/flyspray/index.php?do=details&task_id=1166
  LocalVector generateVector(double x, double y) {
    LocalVector tmp;
    tmp <<= x, y;
    return tmp;
  }
}

LocalVector const A = generateVector(0, 0);
LocalVector const B = generateVector(5, 0);
LocalVector const C = generateVector(5, 1);
LocalVector const D = generateVector(0, 1);

LocalVector const zenith = generateVector(0, 1);
}
#endif
